---
lang: en
title: 'API docs: express.middlewareview'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.middlewareview.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [MiddlewareView](./express.middlewareview.md)

## MiddlewareView class

Watch middleware binding keys for the given context and sort them by group

<b>Signature:</b>

```typescript
export declare class MiddlewareView extends ContextView 
```
<b>Extends:</b> [ContextView](./context.contextview.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(ctx, options)](./express.middlewareview._constructor_.md) |  | Constructs a new instance of the <code>MiddlewareView</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [middlewareBindingKeys](./express.middlewareview.middlewarebindingkeys.md) |  | string\[\] | A list of binding keys sorted by group for registered middleware |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [refresh()](./express.middlewareview.refresh.md) |  |  |


